// CProgressBar Class Definition
// Copyright 2006, Mike Stefanik. All rights reserved.
//
// This material may be freely redistributed and used but may not be
// republished or sold without permission.
//
#ifndef _CPROGRESSBAR_CLASS_INC
#define _CPROGRESSBAR_CLASS_INC

class CProgressBar:CControl
{
	// Class public methods
	declare GetPos(), int;
	declare GetRange(int *nLow, int *nHigh), int;
	declare Redraw(), int;
	declare SetPos(int nPosition), int;
	declare SetRange(int nLow, int nHigh), int;
	declare SetStep(int nStepInc), int;
	declare StepIt(), int;

	// Class virtual methods
	declare virtual Create(int l,int t,int w,int h,int style,int nID,string title,window *parent), int;
	declare virtual SetColor(unsigned int fg, opt unsigned int bg = 0x8000000F);
}
#endif // _CPROGRESSBAR_CLASS_INC
